Create Integration
curl --request POST \
--url https://api-qa.interactly.ai/integrations/v2/use-cases \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"logicalId": "<string>",
"integrationId": "5eb7cf5a86d9755df3a6c593",
"schedulerNames": [
"<string>"
],
"config": {
"displayName": "<string>",
"assistantId": "5eb7cf5a86d9755df3a6c593",
"status": "active",
"timezone": "<string>",
"type": "appointment_reminder_with_sheet",
"name": "New Patients Appointment Reminder",
"sheetLink": "<string>",
"actions": [
{
"logicalId": "<string>",
"templateName": "<string>",
"context": "<string>",
"reportEmails": [
"<string>"
],
"daysWindow": 7,
"status": "active",
"schedule": {
"startDateTime": "2023-11-07T05:31:56Z",
"endDateTime": "2023-11-07T05:31:56Z",
"field": "oneTime",
"triggerAt": "2023-11-07T05:31:56Z"
}
}
]
}
}
'import requests
url = "https://api-qa.interactly.ai/integrations/v2/use-cases"
payload = {
"logicalId": "<string>",
"integrationId": "5eb7cf5a86d9755df3a6c593",
"schedulerNames": ["<string>"],
"config": {
"displayName": "<string>",
"assistantId": "5eb7cf5a86d9755df3a6c593",
"status": "active",
"timezone": "<string>",
"type": "appointment_reminder_with_sheet",
"name": "New Patients Appointment Reminder",
"sheetLink": "<string>",
"actions": [
{
"logicalId": "<string>",
"templateName": "<string>",
"context": "<string>",
"reportEmails": ["<string>"],
"daysWindow": 7,
"status": "active",
"schedule": {
"startDateTime": "2023-11-07T05:31:56Z",
"endDateTime": "2023-11-07T05:31:56Z",
"field": "oneTime",
"triggerAt": "2023-11-07T05:31:56Z"
}
}
]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
logicalId: '<string>',
integrationId: '5eb7cf5a86d9755df3a6c593',
schedulerNames: ['<string>'],
config: {
displayName: '<string>',
assistantId: '5eb7cf5a86d9755df3a6c593',
status: 'active',
timezone: '<string>',
type: 'appointment_reminder_with_sheet',
name: 'New Patients Appointment Reminder',
sheetLink: '<string>',
actions: [
{
logicalId: '<string>',
templateName: '<string>',
context: '<string>',
reportEmails: ['<string>'],
daysWindow: 7,
status: 'active',
schedule: {
startDateTime: '2023-11-07T05:31:56Z',
endDateTime: '2023-11-07T05:31:56Z',
field: 'oneTime',
triggerAt: '2023-11-07T05:31:56Z'
}
}
]
}
})
};
fetch('https://api-qa.interactly.ai/integrations/v2/use-cases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"integration_use_case": {
"teamId": "5eb7cf5a86d9755df3a6c593",
"createdBy": "5eb7cf5a86d9755df3a6c593",
"updatedBy": "5eb7cf5a86d9755df3a6c593",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"_id": "5eb7cf5a86d9755df3a6c593",
"logicalId": "<string>",
"integrationId": "5eb7cf5a86d9755df3a6c593",
"schedulerNames": [
"<string>"
],
"config": {
"displayName": "<string>",
"assistantId": "5eb7cf5a86d9755df3a6c593",
"status": "active",
"timezone": "<string>",
"type": "appointment_reminder_with_sheet",
"name": "New Patients Appointment Reminder",
"sheetLink": "<string>",
"actions": [
{
"logicalId": "<string>",
"templateName": "<string>",
"communicationPreference": "call",
"context": "<string>",
"reportEmails": [
"<string>"
],
"daysWindow": 7,
"status": "active",
"schedule": {
"startDateTime": "2023-11-07T05:31:56Z",
"endDateTime": "2023-11-07T05:31:56Z",
"field": "oneTime",
"triggerAt": "2023-11-07T05:31:56Z"
}
}
]
}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Integrations Use Cases V2
Create Integration
POST
/
integrations
/
v2
/
use-cases
Create Integration
Authorizations
Retrieve your API Key from Dashboard API Keys Section.
Body
application/json
Unique identifier for the integration use-case
Reference to the associated integration
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
List of associated scheduler names
type-specific configuration schema determined by 'type'.
- Appointment Reminder With Sheet Use Case Configuration
- Lab Reminder With Sheet Use Case Configuration
- Appointment Reminder Use Case Configuration
- Final Appointment Notification Use Case Configuration
- Lab Reminder Use Case Configuration
- Appointment Scheduling Use Case Configuration
- Appointment Cancellation Use Case Configuration
- Appointment Rescheduling Use Case Configuration
- Appointment Scheduling With Waitlist Use Case Configuration
- Medication Refill Use Case Configuration
- Invoice Billing Use Case Configuration
- Web Scheduling Use Case Configuration
- Insurance Reminder Use Case Configuration
- Appointment Enquiry Use Case Configuration
Show child attributes
Show child attributes
Response
Successful Response
Response model for a single integration use case. Contains a IntegrationsUseCasesModel object.
Single integration use case object
Show child attributes
Show child attributes
⌘I